Subject: Re: bug#21329: 25.0.50; Flyspell minor mode produces weird effects on keyboard macros
From: Eli Zaretskii <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 28 Aug 2015 16:28:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 27 Aug 2015 21:33:16 -0400
> 
> One possible problem is that input-pending-p might return t in cases where
> the pending input is "not significant", in the sense that read-event
> won't return it (maybe because it will consume it internally as in the
> case of event bounds to special-event-map, IIRC).

I thought about ignoring out these kinds of input in the loop that
waits.

> PS: I suggest you try and install your suggested patch, in the
> mean time.  I don't understand enough of its impact to judge its
> quality, but it's worth a try.  Just make sure you add a good comment in
> the code explaining the problem this is trying to fix.

Done.

I'm therefore closing this bug.